petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStrchr

Locates first occurance of a character in a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrchr(const char a[],char b,char *c[])

Not Collective

### Input Parameters

| a | - pointer to string
| b | - character

### Output Parameter

c -location of occurance, NULL if not found

### Notes

Not for use in Fortran

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages